Get price list
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"billingUnit": "Word",
"currencyCode": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"isDefault": true,
"priceSets": [
{
"minimumPrice": 123,
"prices": [
{
"price": 123,
"workflowStep": {
"abbr": "<string>",
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
],
"sourceLang": "<string>",
"targetLang": "<string>"
}
],
"uid": "<string>"
}Price List
Get price list
GET
/
api2
/
v1
/
priceLists
/
{priceListUid}
Get price list
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Unique identifier of the price list
Response
OK
Price list with set of prices for language pairs
Name of the price list
Billing unit for prices
Available options:
Word, Page, Character, Hour Currency code for the price list
Date the price list was created
Internal numeric identifier, encoded as a string
When true, this is the default price list for the organization
Language pairs with associated prices
Show child attributes
Show child attributes
Unique identifier used in API paths
Was this page helpful?